Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote
Class AttributeDefImpl

`java.lang.Object
oracle.jbo.common.PropertiesHelper
oracle.jbo.common.AttributeDefHelper
oracle.jbo.client.remote.AttributeDefImpl`

All Implemented Interfaces:
  AttributeDef, AttributeHints, Properties

public class AttributeDefImpl
extends AttributeDefHelper
implements AttributeHints

The AttributeDefHelper class implement the AttributeDef interface

Version:
  INTERNAL
See Also:
  `RowImpl`

Field Summary

Fields inherited from class oracle.jbo.common.PropertiesHelper
`mProperties`

Fields inherited from interface oracle.jbo.AttributeHints
`ATTRIBUTE_CTL_DISPLAYHEIGHT, ATTRIBUTE_CTL_DISPLAYWIDTH, ATTRIBUTE_CTL_FORMTYPE, ATTRIBUTE_CTL_TYPE, ATTRIBUTE_DISPLAY_HINT, ATTRIBUTE_DISPLAY_HINT_DISPLAY, ATTRIBUTE_DISPLAY_HINT_HIDE, ATTRIBUTE_FORM_TYPE_DETAIL, ATTRIBUTE_FORM_TYPE_SHORT, ATTRIBUTE_LABEL, ATTRIBUTE_TOOLTIP, CTLTYPE_DATE, CTLTYPE_DEFAULT, CTLTYPE_EDIT, CTLTYPE_IMAGE, CTLTYPE_LIST, CTLTYPE_LOV, CTLTYPE_TOGGLE, FMT_FORMAT, FMT_FORMATTER`

Fields inherited from interface oracle.jbo.AttributeDef
`ATTR_ASSOCIATED_ROW, ATTR_ASSOCIATED_ROWITERATOR, ATTR_DYNAMIC, ATTR_ENTITY_DERIVED, ATTR_PERSISTENT, ATTR_SQL_DERIVED, ATTR_TRANSIENT, ATTR_VARIABLE, READONLY, UPDATEABLE, UPDATEABLE_WHILE_NEW`

Method Summary
`boolean` | `displayInShortForm(LocaleContext locale)` Returns true if the attribute is to displayed in the short(summary) form.
`int` | `getControlType(LocaleContext locale)` Returns the preferred control type for this attribute
`int` | `getDisplayHeight(LocaleContext locale)` Returns the display width for this attribute
`java.lang.String` | `getDisplayHint(LocaleContext locale)` Retrieves the displya hint that dictates whether this attributr should be visible or not.
`int` | `getDisplayWidth(LocaleContext locale)` Returns the display width for this attribute
`java.lang.String` | `getFormat(LocaleContext locale)` returns the format string stored in the ui hints
`java.lang.String` | `getFormattedAttribute(AttributeList attrList, LocaleContext locale)` Returns the formatted value for the attribute.
`Formatter` | `getFormatter(LocaleContext locale)` returns the formatter object stored in the ui hints
`java.lang.String` | `getFormatterClassName(LocaleContext locale)` returns the formatter object stored in the ui hints
`java.lang.String` | `getHint(LocaleContext locale, java.lang.String sHintName)` Return defaulted hint value
`java.lang.String` | `getHintValue(LocaleContext locale, java.lang.String sHintName)` Return non-defaulted hint value
`java.lang.String` | `getLabel(LocaleContext locale)` Retrieves the label to be used in any attribute prompts
`java.lang.String` | `getLocaleName(LocaleContext locale, java.lang.String sName)` function for retrieving the locale name of a hint
`java.util.Hashtable` | `getProperties()` Returns all Properties
`java.lang.String` | `getTooltip(LocaleContext locale)` Retrives the tooltip text to be used for this attribute
`AttributeHints` | `getUIHelper()` return the AttributeHints interface implemented by this class
`boolean` | `hasFormatInformation(LocaleContext locale)` Return true if any format hints have been defined for this attribute.
`java.lang.Object` | `parseFormattedAttribute(java.lang.String sValue, LocaleContext locale)` Strips off the formatting from a string and constructs an instance of the attribute's domain using the 'clean' string as a parameter of the contructor.

Methods inherited from class oracle.jbo.common.AttributeDefHelper
`convertUpdateableStringToFlag, getAttributeKind, getColumnName, getColumnNameForQuery, getElemSQLType, getElemType, getIndex, getJavaType, getJavaTypeName, getName, getPrecision, getScale, getSQLType, getUpdateableFlag, init, isFromReference, isMandatory, isPrimaryKey, isQueriable, isSelected`

Methods inherited from class oracle.jbo.common.PropertiesHelper
`getProperty, refreshProperty, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.Properties
`getProperty, refreshProperty`

Method Detail

### getProperties

    public java.util.Hashtable getProperties()

  Returns all Properties
  Specified by:
    `getProperties` in interface `Properties`
  Specified by:
    `getProperties` in class `PropertiesHelper`

### getUIHelper

    public AttributeHints getUIHelper()

  return the AttributeHints interface implemented by this class
  Specified by:
    `getUIHelper` in interface `AttributeDef`
  See Also:
    `AttributeHints`

### getLocaleName

    public java.lang.String getLocaleName(LocaleContext locale,
                                          java.lang.String sName)

  Description copied from interface: `AttributeHints`
  function for retrieving the locale name of a hint
  Specified by:
    `getLocaleName` in interface `AttributeHints`

### getLabel

    public java.lang.String getLabel(LocaleContext locale)

  Retrieves the label to be used in any attribute prompts
  Specified by:
    `getLabel` in interface `AttributeHints`

### getTooltip

    public java.lang.String getTooltip(LocaleContext locale)

  Retrives the tooltip text to be used for this attribute
  Specified by:
    `getTooltip` in interface `AttributeHints`

### getDisplayHint

    public java.lang.String getDisplayHint(LocaleContext locale)

  Retrieves the displya hint that dictates whether this attributr should be visible or not. The two possible values are: ATTRIBUTE_DISPLAY_HINT_DISPLAY = "Display"; ATTRIBUTE_DISPLAY_HINT_HIDE = "Hide";
  Specified by:
    `getDisplayHint` in interface `AttributeHints`

### getControlType

    public int getControlType(LocaleContext locale)

  Returns the preferred control type for this attribute
  Specified by:
    `getControlType` in interface `AttributeHints`

### getDisplayWidth

    public int getDisplayWidth(LocaleContext locale)

  Returns the display width for this attribute
  Specified by:
    `getDisplayWidth` in interface `AttributeHints`

### getDisplayHeight

    public int getDisplayHeight(LocaleContext locale)

  Returns the display width for this attribute
  Specified by:
    `getDisplayHeight` in interface `AttributeHints`

### getHint

    public java.lang.String getHint(LocaleContext locale,
                                    java.lang.String sHintName)

  Return defaulted hint value
  Specified by:
    `getHint` in interface `AttributeHints`

### getHintValue

    public java.lang.String getHintValue(LocaleContext locale,
                                         java.lang.String sHintName)

  Return non-defaulted hint value
  Specified by:
    `getHintValue` in interface `AttributeHints`

### getFormat

    public java.lang.String getFormat(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  returns the format string stored in the ui hints
  Specified by:
    `getFormat` in interface `AttributeHints`

### getFormatter

    public Formatter getFormatter(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  returns the formatter object stored in the ui hints
  Specified by:
    `getFormatter` in interface `AttributeHints`

### hasFormatInformation

    public boolean hasFormatInformation(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Return true if any format hints have been defined for this attribute. This function should eb used to bracket any calls to the formatting api.
  Specified by:
    `hasFormatInformation` in interface `AttributeHints`

### getFormattedAttribute

    public java.lang.String getFormattedAttribute(AttributeList attrList,
                                                  LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Returns the formatted value for the attribute. The AttributeList parameter will usually be an instance of the oracle.jbo.Row class.
  Specified by:
    `getFormattedAttribute` in interface `AttributeHints`

### parseFormattedAttribute

    public java.lang.Object parseFormattedAttribute(java.lang.String sValue,
                                                    LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Strips off the formatting from a string and constructs an instance of the attribute's domain using the 'clean' string as a parameter of the contructor.
  Specified by:
    `parseFormattedAttribute` in interface `AttributeHints`

### displayInShortForm

    public boolean displayInShortForm(LocaleContext locale)

  Description copied from interface: `AttributeHints`
  Returns true if the attribute is to displayed in the short(summary) form.
  Specified by:
    `displayInShortForm` in interface `AttributeHints`

### getFormatterClassName

    public java.lang.String getFormatterClassName(LocaleContext locale)

  returns the formatter object stored in the ui hints
  Specified by:
    `getFormatterClassName` in interface `AttributeHints`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.